Summary: i4lmondaemons - the monitoring daemons for kisdnmon/winimon
Name: i4lmondaemons
Version: 0.1
Release: 2
Copyright: GPL
Group: System Environment/Daemons
Source0: ftp://ftp.ebh-interdata.de/kisdnmon/i4lmondaemons-0.1.tar.gz
Source1: i4lmon
Distribution: none
Vendor: none
Packager: Torsten Evers <tevers@ebh-interdata.de>
Provides: i4lmondaemons

%description
i4lmondaemons contains two daemon processes which monitor your isdn lines.
These information can be displayed with Winimon or Kisdnmon  

%description -l de
i4lmondaemons enthaelt zwei Serverprozesse, die Ihre ISDN-Leitungen ueber-
wachen. Diese Informationen koennen mit Winimon oder Kisdnmon angezeigt
werden
 
%prep
%setup -q i4lmondaemons-0.1

%build
./configure --sbindir=/sbin

make

%install
make install
if [ -f /etc/redhat-release ]; then
  install -m755 %SOURCE1 /etc/rc.d/init.d/i4lmon
  ln -sf /etc/rc.d/init.d/i4lmon /etc/rc.d/rc0.d/K30i4lmon
  ln -sf /etc/rc.d/init.d/i4lmon /etc/rc.d/rc1.d/K30i4lmon
  ln -sf /etc/rc.d/init.d/i4lmon /etc/rc.d/rc2.d/K30i4lmon
  ln -sf /etc/rc.d/init.d/i4lmon /etc/rc.d/rc3.d/S95i4lmon
  ln -sf /etc/rc.d/init.d/i4lmon /etc/rc.d/rc4.d/S95i4lmon
  ln -sf /etc/rc.d/init.d/i4lmon /etc/rc.d/rc5.d/S95i4lmon
  ln -sf /etc/rc.d/init.d/i4lmon /etc/rc.d/rc6.d/K30i4lmon
fi

%clean
rm -rf $RPM_BUILD_DIR/i4lmondaemons-0.1

%files
/sbin/i4lmond2
/sbin/isdninfo
%config /etc/rc.d/init.d/i4lmon
%config(missingok) /etc/rc.d/rc0.d/K30i4lmon
%config(missingok) /etc/rc.d/rc1.d/K30i4lmon
%config(missingok) /etc/rc.d/rc2.d/K30i4lmon
%config(missingok) /etc/rc.d/rc3.d/S95i4lmon
%config(missingok) /etc/rc.d/rc4.d/S95i4lmon
%config(missingok) /etc/rc.d/rc5.d/S95i4lmon
%config(missingok) /etc/rc.d/rc6.d/K30i4lmon
%doc README
%doc INSTALL
%doc TODO
%doc AUTHORS

%pre
t=`grep -w isdninfo /etc/services`
if [ "$t" = "" ]; then
  t="isdninfo        6105/tcp                      # isdninfo daemon"
  echo "$t" >> /etc/services
fi
t=`grep -w i4lmon /etc/services`
if [ "$t" = "" ]; then
  t="i4lmon          6106/tcp                      # i4lmond daemon"
  echo "$t" >> /etc/services
fi

%post
if [ -f /etc/redhat-release ]; then
  /sbin/chkconfig --add i4lmon
  /sbin/chkconfig --level 3 i4lmon on
  /etc/rc.d/init.d/i4lmon start
fi

%preun
if [ -f /etc/redhat-release ]; then
  /etc/rc.d/init.d/i4lmon stop
  /sbin/chkconfig --del i4lmon
fi

%postun
cp -f /etc/services /etc/services.orig
sed '\?isdninfo?d' /etc/services.orig > /tmp/services
sed '\?i4lmon?d' /tmp/services > /etc/services
rm -f /tmp/services
